## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemAttributeSet Class Reference

`#include <ElemAttributeSet.hpp>`

Inheritance diagram for ElemAttributeSet:

[legend]
Collaboration diagram for ElemAttributeSet:

[legend]
List of all members.

## Public Methods

- ElemAttributeSet (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:attribute-set" element. More...
- virtual ~ElemAttributeSet ()
- const XalanQName& getQName () const
    Retrieves qualified name of object. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual const ElemTemplateElement* startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e. More...
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e. More...
- const ElemTemplateElement* getInvoker (StylesheetExecutionContext &executionContext) const
    Returns the element that invoked this element. More...
- virtual void addToStylesheet (StylesheetConstructionContext &constructionContext, Stylesheet &theStylesheet)
    Called during compilation when an instance is not parented by another element, and thus, is a child of the stylesheet.. More...

## Protected Methods

- virtual bool childTypeAllowed (int xslToken) const
    Given an xsl token type, determine whether or not a child of that type is allowed. More...

## Constructor & Destructor Documentation

ElemAttributeSet::ElemAttributeSet ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to an "xsl:attribute-set" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemAttributeSet::~ElemAttributeSet ( | )`[virtual]`

## Member Function Documentation

void ElemAttributeSet::addToStylesheet ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & theStylesheet )`[virtual]`

Called during compilation when an instance is not parented by another element, and thus, is a child of the stylesheet..

Parameters:

  constructionContext | The current construction context
  theStylesheet | The owning stylesheet

Returns:
  nothing

Reimplemented from ElemTemplateElement.

bool ElemAttributeSet::childTypeAllowed ( | int xslToken ) const`[protected, virtual]`

Given an xsl token type, determine whether or not a child of that type is allowed.

This is so derived types can determine whether a particular type of child is allowed for the instance. It is called from appendChildElem().

The default is to allow no types (no children)

Parameters:

  xslToken | The xsl token value of the child.

Returns:
  true if the child is allowed, or false if not.

Reimplemented from ElemTemplateElement.

void ElemAttributeSet::endElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Completes "post-processing" afer any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it does nothing

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

const XalanDOMString & ElemAttributeSet::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemUse.

const ElemTemplateElement * ElemAttributeSet::getInvoker ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Returns the element that invoked this element.

Returns:
  element that invoked this element.

Reimplemented from ElemTemplateElement.

const XalanQName & ElemAttributeSet::getQName ( | ) const

Retrieves qualified name of object.

Returns:
  qualified name

const ElemTemplateElement * ElemAttributeSet::startElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Completes "pre-processing" before any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element.

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

The documentation for this class was generated from the following file:

- ElemAttributeSet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.